package com.iamberry.wechat.core.entity.product;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.iamberry.wechat.core.entity.PageBean;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @author liuzhiwei
 * 产品颜色表
 * 2017-02-05
 */
public class ProductColor implements java.io.Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -4491314906205379524L;
 
	private Integer colorId;				//id
	private Integer colorProductId;		//所属产品id
	private String colorProductName;	//所属产品名称
	private String colorProductPic;		//产品介绍图
	private Integer colorProductType;	//产品类型
	private String colorName;			//颜色名称
	private Integer colorDiscount;		//产品折扣价
	
	private Integer colorPrice;			//产品市场价
	private String color69Code;			//产品69码
	@DateTimeFormat(pattern="yyyy-MM-dd")
	@JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
	private Date colorCretaeTime;		//创建时间
	@DateTimeFormat(pattern="yyyy-MM-dd")
	@JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
	private Date colorUpdateTime;		//修改时间

	private String colorImg;			//封面图
	private Integer colorStatus;		//状态
	private PageBean page = new PageBean();		//分页
	private String productName;			//商品名称
	private String colorPresent;		//简介

	private Integer productType;		//产品类型

	public String getColorPresent() {
		return colorPresent;
	}

	public void setColorPresent(String colorPresent) {
		this.colorPresent = colorPresent;
	}

	public Integer getProductType() {
		return productType;
	}

	public void setProductType(Integer productType) {
		this.productType = productType;
	}

	public String getProductName() {
		return productName;
	}

	public void setProductName(String productName) {
		this.productName = productName;
	}

	public Integer getColorProductType() {
		return colorProductType;
	}

	public void setColorProductType(Integer colorProductType) {
		this.colorProductType = colorProductType;
	}

	public String getColorProductPic() {
		return colorProductPic;
	}

	public void setColorProductPic(String colorProductPic) {
		this.colorProductPic = colorProductPic;
	}

	public Integer getColorId() {
		return colorId;
	}

	public void setColorId(Integer colorId) {
		this.colorId = colorId;
	}

	public Integer getColorProductId() {
		return colorProductId;
	}

	public void setColorProductId(Integer colorProductId) {
		this.colorProductId = colorProductId;
	}

	public String getColorProductName() {
		return colorProductName;
	}

	public void setColorProductName(String colorProductName) {
		this.colorProductName = colorProductName;
	}

	public String getColorName() {
		return colorName;
	}

	public void setColorName(String colorName) {
		this.colorName = colorName;
	}

	public Integer getColorDiscount() {
		return colorDiscount;
	}

	public void setColorDiscount(Integer colorDiscount) {
		this.colorDiscount = colorDiscount;
	}

	public Integer getColorPrice() {
		return colorPrice;
	}

	public void setColorPrice(Integer colorPrice) {
		this.colorPrice = colorPrice;
	}

	public String getColor69Code() {
		return color69Code;
	}

	public void setColor69Code(String color69Code) {
		this.color69Code = color69Code;
	}

	public Date getColorCretaeTime() {
		return colorCretaeTime;
	}

	public void setColorCretaeTime(Date colorCretaeTime) {
		this.colorCretaeTime = colorCretaeTime;
	}

	public Date getColorUpdateTime() {
		return colorUpdateTime;
	}

	public void setColorUpdateTime(Date colorUpdateTime) {
		this.colorUpdateTime = colorUpdateTime;
	}

	public PageBean getPage() {
		return page;
	}

	public void setPage(PageBean page) {
		this.page = page;
	}

	public String getColorImg() {
		return colorImg;
	}

	public void setColorImg(String colorImg) {
		this.colorImg = colorImg;
	}

	public Integer getColorStatus() {
		return colorStatus;
	}

	public void setColorStatus(Integer colorStatus) {
		this.colorStatus = colorStatus;
	}

	@Override
	public String toString() {
		return "ProductColor [colorId=" + colorId + ", colorProductId="
				+ colorProductId + ", colorProductName=" + colorProductName
				+ ", colorName=" + colorName + ", colorDiscount="
				+ colorDiscount + ", colorPrice=" + colorPrice + ", color69Code=" + color69Code
				+ ", colorCretaeTime=" + colorCretaeTime + ", colorUpdateTime="
				+ colorUpdateTime + ", page=" + page + "]";
	}

}
